Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk update collections

Deprecated: Use the Collections V2 API. Updates multiple collections in a single request. Accepts up to 50 collections with partial updates to title, slug, status, or parent. Returns lists of successful and failed updates.

PATCH/api/v1/{team_slug}/{app_slug}/collections/bulkdeprecated
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired

Team slug

app_slugstringrequired

App slug

Request body
requiredapplication/json

Collections data to update

collectionsinternal_pkg_webserver_v1.BulkPatchCollectionItem[]required
max items 50
Show properties
Array of internal_pkg_webserver_v1.BulkPatchCollectionItem
idstringrequired
parent_idstring
slugstring
statusstring
Allowed:activeinactivedraft
titlestring
Responses
200

Collections updated successfully

datainternal_pkg_webserver_v1.BulkPatchCollectionsResponserequired
Show properties
failedinternal_pkg_webserver_v1.BulkPatchFailedUpdate[] | null
Show properties
Array of internal_pkg_webserver_v1.BulkPatchFailedUpdate
idstring
reasonstring
successfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection
childrengithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection
Circular reference to github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection.
created_atstring
idstring
parent_idstring | null
redirectsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
idstring
item_idstring | null
localestring
new_slugstring
old_slugstring
typegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
Allowed:productpagecollectioncategoryproduct_bundle
slugstringrequired
statusstringrequired
Allowed:activeinactivedraft
titlestring
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslation
Show properties
sluggithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
titlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
updated_atstring | null
uristring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v1/string/string/collections/bulk' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "collections": [
    {
      "id": "string",
      "parent_id": "string",
      "slug": "string",
      "status": "active",
      "title": "string"
    }
  ]
}'
Response
{
  "data": {
    "failed": [
      {
        "id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      {
        "children": [
          {}
        ],
        "created_at": "string",
        "id": "string",
        "parent_id": "string",
        "redirects": [
          {
            "id": "string",
            "item_id": "string",
            "locale": "string",
            "new_slug": "string",
            "old_slug": "string",
            "type": "product"
          }
        ],
        "slug": "string",
        "status": "active",
        "title": "string",
        "translations": {
          "slug": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "title": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "uri": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}